# $Revision: 1.47 $, $Date: 2011/10/04 12:28:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	SHA1
Summary:	Digest::SHA1 - interface to the SHA-1 algorithm
Summary(pl.UTF-8):	Digest::SHA1 - interfejs do algorytmu SHA-1
Name:		perl-Digest-SHA1
Version:	2.12
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eeb0292868801a202bd7ead87b291374
Patch0:		%{name}-reset.patch
URL:		http://search.cpan.org/dist/Digest-SHA1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::SHA1 Perl module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs.  The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

%description -l pl.UTF-8
Moduł Perla Digest::SHA1 pozwala używać algorytmu skrótu NIST SHA-1 z
programów w Perlu. Algorytm pobiera z wejścia wiadomość dowolnej
długości, a na wyjściu produkuje 160-bitowy "odcisk palca" lub "skrót
wiadomości" z wejścia.

%description -l pt_BR.UTF-8
Este módulos Perl permite a utilização do algoritmo de digest de
mensagens NIST SHA-1 em programas Perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes fip180*
%{perl_vendorarch}/Digest/*
%dir %{perl_vendorarch}/auto/Digest/*
%{perl_vendorarch}/auto/Digest/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/*/*.so

%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-SHA1.spec,v $
Revision 1.47  2011/10/04 12:28:55  lisu
- rel 3

Revision 1.46  2010/06/06 08:35:34  arekm
- release 2

Revision 1.45  2009/05/24 05:45:38  amateja
- updated to 2.12

Revision 1.44  2009/03/13 15:46:25  hawk
- release 3

Revision 1.43  2008/02/08 13:48:41  arekm
- rel 2

Revision 1.42  2008-01-31 22:04:47  glen
- rel 1

Revision 1.41  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.40  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.38  2006/10/09 12:54:49  qboosh
- spacing

Revision 1.37  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.36  2006/01/22 12:15:48  agaran
- up to 2.11 rel 0.1

Revision 1.35  2005/04/21 10:58:32  hawk
- release 4 (3 is for Ra)

Revision 1.34  2004/11/03 22:30:19  paladine
- formatting

Revision 1.33  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.32  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.31  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.30  2004/04/05 11:10:41  adamg
- updated to 2.10

Revision 1.29  2004/04/04 20:11:57  adamg
- updated to 2.09

Revision 1.28  2004/01/26 20:54:24  qboosh
- added reset patch - restore reset() alias needed by some modules
- release 2

Revision 1.27  2003/12/23 08:17:48  misi3k
- updated to 2.07

Revision 1.26  2003/10/15 14:36:50  migo
- up to 2.06

Revision 1.25  2003/10/10 11:00:43  qboosh
- added bcond_without tests

Revision 1.24  2003/10/07 14:01:51  migo
- up to 2.05
- do tests

Revision 1.23  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/07/30 23:02:23  grzegol
- updated to 2.04

Revision 1.21  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.18  2003/03/01 18:05:43  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:31:49  ankry
- massive attack: change CPAN URLs

Revision 1.15  2003/01/07 14:52:44  mis
- autoupdated to 2.02

Revision 1.14  2002/07/10 08:47:05  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.13  2002/05/22 08:35:21  kloczek
- merge translations from Conectiva.

Revision 1.12  2002/05/22 08:16:13  qboosh
- removed Digest dirs (belong to perl now); new %%doc; release 4

Revision 1.11  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:31:10  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:12:36  depesz
automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/10 15:26:03  depesz
adapterized

Revision 1.6  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/16 23:11:17  kloczek
- updated to 2.01 (bugfix release).

Revision 1.4  2001/12/12 10:57:16  qboosh
- pl description; release 2

Revision 1.3  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.2  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
